Bug 861879 - [abrt] taskcoach-1.3.18-1.fc14: _misc.py:5860:__init__:ValueError: in method 'new_Display', expected argument 1 of type 'unsigned int'
[abrt] taskcoach-1.3.18-1.fc14: _misc.py:5860:__init__:ValueError: in method ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: taskcoach (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Radej
Fedora Extras Quality Assurance
abrt_hash:91258ee8deea355b774356d339d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 04:55 EDT by Rustronix
Modified: 2013-02-13 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:45:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rustronix 2012-10-01 04:55:42 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/taskcoach.py
executable:     /usr/bin/taskcoach.py
kernel:         3.4.9-2.fc16.x86_64
time:           Mon 01 Oct 2012 09:54:24 PM NZDT
uid:            1000

backtrace:
:_misc.py:5860:__init__:ValueError: in method 'new_Display', expected argument 1 of type 'unsigned int'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/taskcoachlib/widgets/tooltip.py", line 117, in __OnTimer
:    self.ShowTip(*self.GetMainWindow().ClientToScreenXY(*self.__position))
:  File "/usr/lib/python2.7/site-packages/taskcoachlib/widgets/tooltip.py", line 54, in ShowTip
:    theDisplay = wx.Display(wx.Display.GetFromPoint(wx.Point(x, y)))
:  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_misc.py", line 5860, in __init__
:    _misc_.Display_swiginit(self,_misc_.new_Display(*args, **kwargs))
:ValueError: in method 'new_Display', expected argument 1 of type 'unsigned int'
:
:Local variables in innermost frame:
:self: <wx._misc.Display;  >
:args: (-1,)
:kwargs: {}

smolt_data:
:
:
:General
:=================================
:UUID: e85f089a-4401-4daf-939c-163847c8f988
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3991.05
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2001
:System Memory: 3902
:System Swap: 5951
:Vendor: Hewlett-Packard
:System: HP Pavilion dv6 Notebook PC 058E110000244710000620100
:Form factor: Notebook
:Kernel: 3.4.9-2.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33128:4156:5720) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:7241:4156:5720) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(4332:21001:4156:5720) pci, rts_pstor, MISC, RTS5209 PCI Express Card Reader
:(4147:404:4156:5720) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:278:4156:5720) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4156:5720) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4156:5720) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4156:5720) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4156:5720) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:4156:5720) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7202:4156:5720) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:139:32902:21269) pci, iwlwifi, NETWORK, Centrino Wireless-N 1030 BGN
:(32902:7171:4156:5720) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4156:5720) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4156:5720) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4156:5720) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4156:5720) pci, mei, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:4156:5720) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_enterprise-lv_root / ext4 4096 4096 12901535 11055823 10400463 3276800 3050667 3050667
:/dev/sda6 /boot ext4 1024 1024 495844 407673 382073 128016 127743 127743
:/dev/mapper/vg_enterprise-lv_home /home ext4 4096 4096 11691766 2659014 2065094 2973696 2946711 2946711
:/dev/sdc1 WITHHELD vfat 32768 32768 489313 98945 98945 0 0 0
:
Comment 1 Fedora End Of Life 2013-01-16 12:06:46 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Admin XMLRPC Client 2013-01-29 11:07:29 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2013-02-13 18:46:02 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.